<?xml version="1.0" encoding="UTF-8"?>
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_PageBuilder:etc/content_type.xsd">
    <type name="block"
          label="Block"
          component="Magento_PageBuilder/js/content-type"
          preview_component="Magento_PageBuilder/js/content-type/block/preview"
          form="pagebuilder_filoblu_block_form"
          menu_section="filoblu_controls"
          icon="icon-pagebuilder-block"
          sortOrder="1"
          translate="label">
        <children default_policy="deny"/>
        <appearances>
            <appearance default="true"
                        name="default"
                        preview_template="Magento_PageBuilder/content-type/block/default/preview"
                        master_template="Magento_PageBuilder/content-type/block/default/master"
                        reader="Magento_PageBuilder/js/master-format/read/configurable">
                <elements>
                    <element name="main">
                        <style name="text_align" source="text_align"/>
                        <style name="border" source="border_style" converter="Magento_PageBuilder/js/converter/style/border-style"/>
                        <style name="border_color" source="border_color"/>
                        <style name="border_width" source="border_width" converter="Magento_PageBuilder/js/converter/style/border-width"/>
                        <style name="border_radius" source="border_radius" converter="Magento_PageBuilder/js/converter/style/remove-px"/>
                        <style name="display" source="display" converter="Magento_PageBuilder/js/converter/style/display" preview_converter="Magento_PageBuilder/js/converter/style/preview/display"/>
                        <style name="margins" storage_key="margins_and_padding" reader="Magento_PageBuilder/js/property/margins" converter="Magento_PageBuilder/js/converter/style/margins"/>
                        <style name="padding" storage_key="margins_and_padding" reader="Magento_PageBuilder/js/property/paddings" converter="Magento_PageBuilder/js/converter/style/paddings"/>
<!--                        <attribute name="mobile_padding" source="data-mobile-padding" converter="FiloBlu_Refilo/js/converter/attribute/mobile-padding" storage_key="mobile_margins_and_padding" persistence_mode="write"/>-->
<!--                        <attribute name="mobile_margin" source="data-mobile-margin" converter="FiloBlu_Refilo/js/converter/attribute/mobile-margin" storage_key="mobile_margins_and_padding" persistence_mode="write"/>-->
<!--                        <attribute name="mobile_margins_and_padding" reader="FiloBlu_Refilo/js/property/spacings" persistence_mode="read"/>-->
                        <attribute name="mobile_margin" source="data-mobile-margin"/>
                        <attribute name="mobile_padding" source="data-mobile-padding"/>
                        <attribute name="name" source="data-content-type"/>
                        <attribute name="appearance" source="data-appearance"/>
                        <attribute name="block_id" source="data-block-id"/>
                        <html name="html" preview_converter="Magento_PageBuilder/js/converter/attribute/preview/store-id"/>
                        <attribute name="custom_style" source="data-custom-style"/>
                        <css name="css_classes"/>
                    </element>
                </elements>
                <converters>
                    <converter component="Magento_PageBuilder/js/content-type/block/mass-converter/widget-directive" name="widget_directive">
                        <config>
                            <item name="html_variable" value="html"/>
                        </config>
                    </converter>
                </converters>
            </appearance>
        </appearances>
        <additional_data>
            <item name="chooserConfig" xsi:type="array">
                <item name="dataUrl" xsi:type="object">Magento\PageBuilder\Model\Config\ContentType\AdditionalData\Provider\BlockDataUrl</item>
            </item>
        </additional_data>
    </type>
</config>
